import QtQuick 2.15
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.15
import QtPositioning 5.15

ApplicationWindow {
    id: root
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")

    PositionSource {
        id: positionSource
        active: updateButton.checked
    }

    ColumnLayout {
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.centerIn: parent

        Label {
            text: "Coordinate: %1".arg(positionSource.position.coordinate)
        }

        Label {
            text: positionSource.active ? "Active" : "Inactive"
        }

        Button {
            id: updateButton
            checkable: true
            checked: false
            text: "Position source active"
        }
    }
}
